Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc.gui
Class AttributeTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          nl.liacs.subdisc.gui.AttributeTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class AttributeTableModel

extends javax.swing.table.AbstractTableModel

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AttributeTableModel.AttributeTableHeader`

Constructor Summary
`AttributeTableModel(Table theTable)`

Method Summary
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int theColumnIndex)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeTableModel

    public AttributeTableModel(Table theTable)

Method Detail

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int theColumnIndex)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD